Bug 648082 - Evolution has trouble with QRESYNC
Summary: Evolution has trouble with QRESYNC
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: 14
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-30 21:18 UTC by Bojan Smojver
Modified: 2010-11-13 00:50 UTC (History)
6 users (show)

Fixed In Version: evolution-data-server-2.32.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 17:34:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Busy threads when closing under valgrind (12.02 KB, image/png)
2010-11-12 13:51 UTC, Bojan Smojver
no flags Details
Valgrind log, with segfault (39.02 KB, text/plain)
2010-11-12 21:43 UTC, Bojan Smojver
no flags Details
Valgrind log, Evo hung, killed (note: system was suspened overnight) (36.78 KB, text/plain)
2010-11-12 21:44 UTC, Bojan Smojver
no flags Details
Valgrind log, with segfault and debuginfo installed (34.40 KB, text/plain)
2010-11-12 21:55 UTC, Bojan Smojver
no flags Details

Description Bojan Smojver 2010-10-30 21:18:20 UTC
Description of problem:
When Quick Resync is turned on in Evolution, messages cannot be fetched from dovecot. I get:

Unable to retrieve message
SELECT opensource/apache failed: Error in IMAP command SELECT: Invalid QRESYNC known-uids

Version-Release number of selected component (if applicable):
2.0.6-1.fc14.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Enable Quick Resync in Evo.
2. Connect to Dovecot 2.0.6
3. Attempt to preview message.
  
Actual results:
Fetching of e-mail fails.

Expected results:
Should work, according to Dovecot changelog.

Additional info:
Worked OK with Devecot 1.2.15, shipped with F-13.

Comment 1 Michal Hlavinka 2010-11-02 11:28:13 UTC
Could you provide output of 'dovecot -n' ? Are there any dovecot error messages in /var/log/maillog? Could you provide rawlog of the dovecot-evolution communication? For this you need:
1)add:

executable = imap postlogin

in "service imap { ..." section (/etc/dovecot/conf.d/10-master.conf)

2)create /etc/dovecot/conf.d/99-rawlog.conf with content:

service postlogin {
  executable = script-login rawlog
  unix_listener postlogin {
  }
}

3) create writeable ~/dovecot.rawlog directory in user's home directory on the machine running dovecot

4) service dovecot restart

then try to reproduce this problem with and attach files you found in dovecot.rawlog directory

thanks

Comment 2 Bojan Smojver 2010-11-02 21:43:12 UTC
Here is what I get in dovecot.rawlog when I attempt to access one of the messages in a folder:
----------------------------------
[bojan@beauty dovecot.rawlog]$ cat 20101103-083836-12392.in 
B00326 NAMESPACE
B00327 ENABLE CONDSTORE QRESYNC
B00329 SELECT opensource/apr (QRESYNC (1111896283 16 456:* (1,6771,11145,12603,13089,13251,13305,13323 456,7227,11616,13075,13561,13723,13777,13795)))
B00331 SELECT opensource/apr (QRESYNC (1111896283 16 456:* (1,6771,11145,12603,13089,13251,13305,13323 456,7227,11616,13075,13561,13723,13777,13795)))
B00333 SELECT opensource/apr (QRESYNC (1111896283 16 456:* (1,6771,11145,12603,13089,13251,13305,13323 456,7227,11616,13075,13561,13723,13777,13795)))
----------------------------------

----------------------------------
[bojan@beauty dovecot.rawlog]$ cat 20101103-083836-12392.out
B00325 OK [CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS MULTIAPPEND UNSELECT IDLE CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH LIST-STATUS] Logged in
* NAMESPACE (("" "/")) NIL NIL
B00326 OK Namespace completed.
* ENABLED CONDSTORE QRESYNC
B00327 OK Enabled.
B00329 BAD Error in IMAP command SELECT: Invalid QRESYNC known-uids
B00331 BAD Error in IMAP command SELECT: Invalid QRESYNC known-uids
B00333 BAD Error in IMAP command SELECT: Invalid QRESYNC known-uids
----------------------------------

Evo says:
----------------------------------
Unable to retrieve message
SELECT opensource/apr failed: Error in IMAP command SELECT: Invalid QRESYNC known-uids
----------------------------------

Comment 3 Bojan Smojver 2010-11-02 21:45:24 UTC
Oh, and no errors in /var/log/maillog.

Comment 4 Bojan Smojver 2010-11-03 00:00:54 UTC
Not sure if this has anything to do with it:

http://hg.dovecot.org/dovecot-2.0/rev/1d381325a973

Comment 5 Bojan Smojver 2010-11-03 00:06:33 UTC
I forgot the config. Here it goes:
----------------------------------
# 2.0.6: /etc/dovecot/dovecot.conf
# OS: Linux 2.6.35.6-48.fc14.x86_64 x86_64 Fedora release 14 (Laughlin) 
auth_gssapi_hostname = some.host.some.domain
auth_krb5_keytab = /etc/dovecot/dovecot.keytab
auth_mechanisms = plain gssapi
listen = 127.0.0.1
mail_location = mbox:~/mail/:INBOX=/home/users/%u/mail/inbox
passdb {
  driver = pam
}
protocols = imap
service auth {
  user = root
}
service imap-login {
  inet_listener imaps {
    address = <internal_ip>, <external_ip>
  }
}
----------------------------------
ssl_cert = </etc/pki/dovecot/certs/mail.some.domain.crt
ssl_key = </etc/pki/dovecot/private/mail.some.domain.key
userdb {
  driver = passwd
}
protocol lda {
  postmaster_address = hostmaster@some.domain
}
local <external_ip> {
  auth_ssl_require_client_cert = yes
  ssl_ca = </etc/pki/tls/certs/someCA.crt
  ssl_verify_client_cert = yes
}

Comment 6 Bojan Smojver 2010-11-03 00:07:41 UTC
Sorry about the cut'n'paste error above. The dashes are not part of the file, obviously.

Comment 7 Timo Sirainen 2010-11-03 00:22:25 UTC
B00329 SELECT opensource/apr (QRESYNC (1111896283 16 456:*

The 456:* is the known-uids field, which RFC says is:

   known-uids          =  sequence-set
                       ;; sequence of UIDs, "*" is not allowed

Comment 8 Bojan Smojver 2010-11-03 00:28:48 UTC
(In reply to comment #7)
> B00329 SELECT opensource/apr (QRESYNC (1111896283 16 456:*
> 
> The 456:* is the known-uids field, which RFC says is:
> 
>    known-uids          =  sequence-set
>                        ;; sequence of UIDs, "*" is not allowed

Ah, so what you're saying is that this is in fact an Evo bug?

PS. Thanks for super quick reply!

Comment 9 Bojan Smojver 2010-11-03 01:04:15 UTC
Just reassigned to Evo.

Comment 10 Milan Crha 2010-11-03 06:51:14 UTC
I'm CC'ing author of this extension.

David, could you look on this, please?

Comment 11 David Woodhouse 2010-11-03 12:42:15 UTC
Mea culpa. Actually I want to just drop the uidset completely... but older versions of Dovecot have a bug and don't accept that, so I got kind of confused and did nothing for a while.

I think we did settle on a potential workaround. I'll review my conversation with Timo and implement that. Watch this space...

Comment 12 David Woodhouse 2010-11-03 12:46:15 UTC
See thread at http://www.mail-archive.com/dovecot@dovecot.org/msg31171.html

This is probably the fix (which bugzilla will probably mangle but it's just s/*/4294967295/).

Away from home right now without an evo build environment to hand. Will build and test and think and find coffee... not in that order.
 
--- a/camel/providers/imapx/camel-imapx-server.c
+++ b/camel/providers/imapx/camel-imapx-server.c
@@ -2606,7 +2606,7 @@ imapx_select (CamelIMAPXServer *is,
 
                if (isum->modseq && ifolder->uidvalidity_on_server) {
                        c(is->tagprefix, "SELECT QRESYNC %" G_GUINT64_FORMAT " %" G_GUINT64_FORMAT "\n", ifolder->uidvalidity_on_server, isum->modseq);
-                       camel_imapx_command_add(ic, " (QRESYNC (%" G_GUINT64_FORMAT " %" G_GUINT64_FORMAT " %s:*", ifolder->uidvalidity_on_server, isum->modseq, uid?uid:"1");
+                       camel_imapx_command_add(ic, " (QRESYNC (%" G_GUINT64_FORMAT " %" G_GUINT64_FORMAT " %s:4294967295", ifolder->uidvalidity_on_server, isum->modseq, uid?uid:"1");
 
                        if (total > 10) {
                                gint i;

Comment 13 Bojan Smojver 2010-11-03 13:13:39 UTC
Thanks everyone for looking into it so quickly!

Comment 14 Bojan Smojver 2010-11-11 00:57:05 UTC
(In reply to comment #12)
 
> This is probably the fix (which bugzilla will probably mangle but it's just
> s/*/4294967295/).

Any chance of a commit, so that we see this in 2.32.1?

Comment 15 David Woodhouse 2010-11-11 01:40:29 UTC
http://git.gnome.org/browse/evolution-data-server/commit/?id=0c866fa

Would appreciate a little more testing before I backport to 2.32; how long do we have?

Comment 16 Bojan Smojver 2010-11-11 01:46:45 UTC
I think 2.32.1 tarballs are due Nov 15.

If you want to build a 2.32.0 package with a patch applied, I can test on my end.

Comment 18 Bojan Smojver 2010-11-11 03:16:38 UTC
(In reply to comment #17)
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2594318

Legend! Looking good here. I did steps from comment #2 and I can see QRESYNCs in the log and Evo happy.

Comment 19 Bojan Smojver 2010-11-11 03:31:28 UTC
(In reply to comment #18)
 
> Legend! Looking good here. I did steps from comment #2 and I can see QRESYNCs
> in the log and Evo happy.

Just to make it clear, Dovecot is 2.0.6-1 from F-14.

Comment 20 David Woodhouse 2010-11-11 14:33:54 UTC
http://git.gnome.org/browse/evolution-data-server/commit/?h=gnome-2-32&id=e02cb958

I've tested against Dovecot 1.2.14 (F-13) here. I'm fairly content that it's the correct fix, and what we had before was *definitely* broken, so I'm happy enough to push it to the gnome-2-32 branch with mbarnes' blessing.

Thanks for the report and coherent testing. And for the timely reminder.

Comment 21 Milan Crha 2010-11-11 17:34:33 UTC
And I thank you for providing the fix :)

Comment 22 Bojan Smojver 2010-11-12 07:55:53 UTC
Just looking over the patch, I'm a bit worried about these new g_free(firstuid/lastuid) calls. They only happen if (isum->modseq && ifolder->uidvalidity_on_server). Now, if that always true when (total != 0), then this is OK. However, if these two tests can yield different values, then we can have a little memory leak in certain circumstances.

Just saying... Not an Evo hacker, dunno what the code does etc.

Comment 23 David Woodhouse 2010-11-12 10:43:52 UTC
Hm, very good point; well-spotted. Those circumstances will *almost* never occur, but that's not the point. Bad dwmw2; no biscuit.

Comment 26 Bojan Smojver 2010-11-12 12:01:37 UTC
Hang on - getting a segfault in Evo now. Not sure if it's somehow related...

Comment 27 Bojan Smojver 2010-11-12 12:09:17 UTC
Everything works OK until I attempt to close Evo. I see QRESYNCs in dovecot log and all. But, the end is sad:
------------------------------
[bojan@shrek ~]$ gdb evolution
GNU gdb (GDB) Fedora (7.2-23.fc14)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
(gdb) r
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff069c700 (LWP 15947)]
[New Thread 0x7fffe37c7700 (LWP 15948)]
[New Thread 0x7fffe2fc6700 (LWP 15949)]
[New Thread 0x7fffe259a700 (LWP 15950)]
[New Thread 0x7fffe1d99700 (LWP 15951)]
[New Thread 0x7fffe1598700 (LWP 15952)]
[New Thread 0x7fffe0d97700 (LWP 15953)]
[New Thread 0x7fffcbfff700 (LWP 15954)]
[Thread 0x7fffcbfff700 (LWP 15954) exited]
[New Thread 0x7fffcbfff700 (LWP 15955)]
[Thread 0x7fffcbfff700 (LWP 15955) exited]
[New Thread 0x7fffcbfff700 (LWP 15956)]
[Thread 0x7fffe1598700 (LWP 15952) exited]
[New Thread 0x7fffe1598700 (LWP 15957)]
[New Thread 0x7fffca175700 (LWP 15958)]
[New Thread 0x7fffc9974700 (LWP 15959)]
[New Thread 0x7fffc9173700 (LWP 15960)]
[Thread 0x7fffc9173700 (LWP 15960) exited]
[Thread 0x7fffca175700 (LWP 15958) exited]
[New Thread 0x7fffca175700 (LWP 15961)]
[Thread 0x7fffe1598700 (LWP 15957) exited]
[Thread 0x7fffca175700 (LWP 15961) exited]
[New Thread 0x7fffca175700 (LWP 15962)]
[New Thread 0x7fffe1598700 (LWP 15963)]
[Thread 0x7fffe0d97700 (LWP 15953) exited]
[Thread 0x7fffe1598700 (LWP 15963) exited]
[New Thread 0x7fffe1598700 (LWP 15964)]
[New Thread 0x7fffe0d97700 (LWP 15965)]
[New Thread 0x7fffc9173700 (LWP 15966)]
[Thread 0x7fffe1598700 (LWP 15964) exited]
[Thread 0x7fffe0d97700 (LWP 15965) exited]
[Thread 0x7fffc9173700 (LWP 15966) exited]
[New Thread 0x7fffc9173700 (LWP 15967)]
[New Thread 0x7fffe0d97700 (LWP 15968)]
[Thread 0x7fffca175700 (LWP 15962) exited]
[Thread 0x7fffe0d97700 (LWP 15968) exited]
[New Thread 0x7fffe0d97700 (LWP 15969)]
[New Thread 0x7fffca175700 (LWP 15970)]
[New Thread 0x7fffe1598700 (LWP 15971)]
[Thread 0x7fffc9173700 (LWP 15967) exited]
[New Thread 0x7fffc9173700 (LWP 15972)]
[Thread 0x7fffc9173700 (LWP 15972) exited]
[Thread 0x7fffe0d97700 (LWP 15969) exited]
[Thread 0x7fffca175700 (LWP 15970) exited]
[New Thread 0x7fffca175700 (LWP 15973)]
[New Thread 0x7fffe0d97700 (LWP 15974)]
[Thread 0x7fffca175700 (LWP 15973) exited]
[Thread 0x7fffe1598700 (LWP 15971) exited]
[New Thread 0x7fffe1598700 (LWP 15975)]
[Thread 0x7fffe1598700 (LWP 15975) exited]
[New Thread 0x7fffe1598700 (LWP 15976)]
[Thread 0x7fffe1598700 (LWP 15976) exited]
[New Thread 0x7fffe1598700 (LWP 15977)]
[Thread 0x7fffe1598700 (LWP 15977) exited]
[New Thread 0x7fffe1598700 (LWP 15978)]
[Thread 0x7fffe1598700 (LWP 15978) exited]
[New Thread 0x7fffe1598700 (LWP 15979)]
[Thread 0x7fffe1598700 (LWP 15979) exited]
[New Thread 0x7fffe1598700 (LWP 15980)]
[Thread 0x7fffe1598700 (LWP 15980) exited]
[New Thread 0x7fffe1598700 (LWP 15981)]
[Thread 0x7fffe1598700 (LWP 15981) exited]
[New Thread 0x7fffe1598700 (LWP 15982)]
[Thread 0x7fffe1598700 (LWP 15982) exited]

Program received signal SIGSEGV, Segmentation fault.
0x00000035e5652b75 in PK11_DestroySlot (slot=0x79a4e0) at pk11slot.c:434
434		PK11_GETTAB(slot)->C_CloseAllSessions(slot->slotID);
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.19-1.fc14.x86_64 PackageKit-gtk-module-0.6.9-4.fc14.x86_64 cyrus-sasl-lib-2.1.23-12.fc14.x86_64 db4-4.8.30-2.fc14.x86_64 evolution-data-server-2.32.1-0.2.git20101111.fc14.x86_64 expat-2.0.1-10.fc13.x86_64 gnutls-2.8.6-2.fc14.x86_64 gtk2-engines-2.20.1-2.fc14.x86_64 gvfs-1.6.4-3.fc14.x86_64 keyutils-libs-1.2-6.fc12.x86_64 krb5-libs-1.8.2-6.fc14.x86_64 libX11-1.3.4-3.fc14.x86_64 libXau-1.0.6-1.fc14.x86_64 libXcomposite-0.4.2-1.fc14.x86_64 libXcursor-1.1.10-5.fc14.x86_64 libXdamage-1.1.3-1.fc14.x86_64 libXext-1.1.2-2.fc14.x86_64 libXfixes-4.0.5-1.fc14.x86_64 libXi-1.3.2-1.fc14.x86_64 libXinerama-1.1-2.fc13.x86_64 libXrandr-1.3.0-5.fc13.x86_64 libXrender-0.9.6-1.fc14.x86_64 libcom_err-1.41.12-5.fc14.x86_64 libgcc-4.5.1-4.fc14.x86_64 libgcrypt-1.4.5-4.fc13.x86_64 libgnome-keyring-2.32.0-1.fc14.x86_64 libgpg-error-1.9-1.fc14.x86_64 libmodman-1.0.1-5.fc14.x86_64 libogg-1.2.0-1.fc14.x86_64 libproxy-0.4.4-7.fc14.x86_64 libselinux-2.0.96-5.fc14.x86_64 libstdc++-4.5.1-4.fc14.x86_64 libtasn1-2.7-1.fc14.x86_64 libtdb-1.2.1-3.fc14.x86_64 libtool-ltdl-2.2.10-3.fc14.x86_64 libudev-161-4.fc14.x86_64 libuuid-2.18-4.4.fc14.x86_64 libvorbis-1.3.1-2.fc14.x86_64 libxcb-1.7-1.fc14.x86_64 nss-softokn-3.12.8-1.fc14.x86_64 nss-softokn-freebl-3.12.8-1.fc14.x86_64 openssl-1.0.0a-2.fc14.x86_64 pixman-0.18.4-1.fc14.x86_64 sssd-client-1.4.0-2.fc14.x86_64 xcb-util-0.3.6-1.fc12.x86_64 zlib-1.2.5-2.fc14.x86_64
(gdb) t a a bt

Thread 29 (Thread 0x7fffe0d97700 (LWP 15974)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00000035d8202352 in g_cond_timed_wait_posix_impl (
    cond=<value optimized out>, entered_mutex=<value optimized out>, 
    abs_time=<value optimized out>) at gthread-posix.c:242
#2  0x00000035d7a17c8f in g_async_queue_pop_intern_unlocked (queue=0xc15630, 
    try=0, end_time=0x7fffe0d96bf0) at gasyncqueue.c:423
#3  0x00000035d7a6bbf9 in g_thread_pool_wait_for_new_task (
    data=<value optimized out>) at gthreadpool.c:274
#4  g_thread_pool_thread_proxy (data=<value optimized out>)
    at gthreadpool.c:308
#5  0x00000035d7a69446 in g_thread_create_proxy (data=0xda0250)
    at gthread.c:1897
#6  0x00000035d6206d5b in start_thread (arg=0x7fffe0d97700)
    at pthread_create.c:301
#7  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 14 (Thread 0x7fffc9974700 (LWP 15959)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
---Type <return> to continue, or q <return> to quit---
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=
    0x7fffb80016d0, try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00007ffff7019f8e in camel_msgport_pop ()
   from /usr/lib64/libcamel-1.2.so.19
#3  0x00007fffe25b19ca in ?? ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimapx.so
#4  0x00007fffe25b1efc in ?? ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimapx.so
#5  0x00000035d7a69446 in g_thread_create_proxy (data=0x7fffc0003040)
    at gthread.c:1897
#6  0x00000035d6206d5b in start_thread (arg=0x7fffc9974700)
    at pthread_create.c:301
#7  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7fffcbfff700 (LWP 15956)):
#0  0x00000035d5eda883 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000035e422439f in _pr_poll_with_poll (pds=0x7fffcbffebd0, npds=2, 
    timeout=30000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3915
#2  0x00007fffe25b7ee2 in ?? ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimapx.so
---Type <return> to continue, or q <return> to quit---
#3  0x00000035d7a69446 in g_thread_create_proxy (data=0x7fffc4022180)
    at gthread.c:1897
#4  0x00000035d6206d5b in start_thread (arg=0x7fffcbfff700)
    at pthread_create.c:301
#5  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fffe1d99700 (LWP 15951)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x94d360, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x94d360)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in ?? () from /usr/lib64/libcamel-1.2.so.19
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x94d3d0)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe1d99700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7fffe259a700 (LWP 15950)):
---Type <return> to continue, or q <return> to quit---
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x931e80, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x931e80)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in ?? () from /usr/lib64/libcamel-1.2.so.19
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x9309d0)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe259a700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fffe2fc6700 (LWP 15949)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x8edd70, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x8edd70)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in ?? () from /usr/lib64/libcamel-1.2.so.19
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x8d8810)
---Type <return> to continue, or q <return> to quit---
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe2fc6700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fffe37c7700 (LWP 15948)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x8d7170, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x8d7170)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in ?? () from /usr/lib64/libcamel-1.2.so.19
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x8d71b0)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe37c7700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7ffff069c700 (LWP 15947)):
#0  0x00000035d5eda883 in __poll (fds=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000035d7a42374 in g_main_context_poll (context=0x66cd70, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:3093
#2  g_main_context_iterate (context=0x66cd70, block=1, dispatch=1, 
    self=<value optimized out>) at gmain.c:2775
#3  0x00000035d7a42c82 in g_main_loop_run (loop=0x66ce50) at gmain.c:2988
#4  0x00000035d92a5774 in gdbus_shared_thread_func (data=<value optimized out>)
    at gdbusprivate.c:277
#5  0x00000035d7a69446 in g_thread_create_proxy (data=0x66ce70)
    at gthread.c:1897
#6  0x00000035d6206d5b in start_thread (arg=0x7ffff069c700)
    at pthread_create.c:301
#7  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7ffff6d86980 (LWP 15944)):
#0  0x00000035e5652b75 in PK11_DestroySlot (slot=0x79a4e0) at pk11slot.c:434
#1  0x00000035e566e5dd in nssDecodedPKIXCertificate_Destroy (dc=0x7fffc67b43f0)
    at pki3hack.c:549
#2  0x00000035e5667212 in nssCertificate_Destroy (c=0x7fffc66b0c50)
    at certificate.c:162
#3  0x00007ffff794b00a in ?? () from /usr/lib64/libcamel-provider-1.2.so.19
---Type <return> to continue, or q <return> to quit---
#4  0x00007ffff794c960 in camel_cipher_validity_free ()
   from /usr/lib64/libcamel-provider-1.2.so.19
#5  0x00000035042058e1 in emf_free_cache (efc=0x7fffc66b28e0) at em-format.c:83
#6  0x00000035d7a313fe in g_hash_table_remove_all_nodes (hash_table=
    0xb996d0 = {...}, notify=1) at ghash.c:491
#7  0x00000035d7a31ced in g_hash_table_remove_all (hash_table=0xb996d0 = {...})
    at ghash.c:1169
#8  0x00000035d7a31d85 in g_hash_table_destroy (hash_table=0xb996d0 = {...})
    at ghash.c:876
#9  0x0000003504206ad2 in emf_finalize (object=0xb7c0e0 [EMFormatHTMLDisplay])
    at em-format.c:150
#10 0x00000035d860f2f4 in g_object_unref (_object=0xb7c0e0) at gobject.c:2695
#11 0x0000003504a3e1e1 in mail_display_dispose (object=0x6a0ab0 [EMailDisplay])
    at e-mail-display.c:178
#12 0x00000035d8611230 in g_object_run_dispose (object=0x6a0ab0 [EMailDisplay])
    at gobject.c:934
#13 0x000000384cfbd77f in gtk_scrolled_window_forall (container=
    0xbc14a0 [GtkScrolledWindow], include_internals=0, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0)
    at gtkscrolledwindow.c:1086
#14 0x000000384cec1467 in gtk_container_destroy (object=
    0xbc14a0 [GtkScrolledWindow]) at gtkcontainer.c:1072
#15 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
---Type <return> to continue, or q <return> to quit---
    0x0, n_param_values=1, param_values=0xb8c760, invocation_hint=
    0x7fffffffb6e0) at gclosure.c:766
#16 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xbc14a0, emission_return=0x0, instance_and_params=
    0xb8c760) at gsignal.c:3368
#17 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#18 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#19 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xbc14a0 [GtkScrolledWindow]) at gtkobject.c:421
#20 0x00000035d8611230 in g_object_run_dispose (object=
    0xbc14a0 [GtkScrolledWindow]) at gobject.c:934
#21 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#22 0x000000384cec1467 in gtk_container_destroy (object=
    0xb45450 [EPreviewPane]) at gtkcontainer.c:1072
#23 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xb8c6c0, invocation_hint=
---Type <return> to continue, or q <return> to quit---
    0x7fffffffbb80) at gclosure.c:766
#24 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb45450, emission_return=0x0, instance_and_params=
    0xb8c6c0) at gsignal.c:3368
#25 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#26 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#27 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb45450 [EPreviewPane])
    at gtkobject.c:421
#28 0x00000035d8611230 in g_object_run_dispose (object=0xb45450 [EPreviewPane])
    at gobject.c:934
#29 0x000000384cec1467 in gtk_container_destroy (object=0xb2b240 [EPaned])
    at gtkcontainer.c:1072
#30 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xb8c600, invocation_hint=
    0x7fffffffbff0) at gclosure.c:766
#31 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb2b240, emission_return=0x0, instance_and_params=
    0xb8c600) at gsignal.c:3368
---Type <return> to continue, or q <return> to quit---
#32 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#33 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#34 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb2b240 [EPaned])
    at gtkobject.c:421
#35 0x00000035d8611230 in g_object_run_dispose (object=0xb2b240 [EPaned])
    at gobject.c:934
#36 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#37 0x000000384cec1467 in gtk_container_destroy (object=
    0xb05e70 [EMailPanedView]) at gtkcontainer.c:1072
#38 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xb8f120, invocation_hint=
    0x7fffffffc490) at gclosure.c:766
#39 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb05e70, emission_return=0x0, instance_and_params=
    0xb8f120) at gsignal.c:3368
#40 0x00000035d86287b5 in g_signal_emit_valist (
---Type <return> to continue, or q <return> to quit---
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#41 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#42 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xb05e70 [EMailPanedView]) at gtkobject.c:421
#43 0x00000035d8611230 in g_object_run_dispose (object=
    0xb05e70 [EMailPanedView]) at gobject.c:934
#44 0x000000384cec1467 in gtk_container_destroy (object=
    0xb7a040 [EMailShellContent]) at gtkcontainer.c:1072
#45 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xc9f680, invocation_hint=
    0x7fffffffc900) at gclosure.c:766
#46 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb7a040, emission_return=0x0, instance_and_params=
    0xc9f680) at gsignal.c:3368
#47 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#48 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#49 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xb7a040 [EMailShellContent]) at gtkobject.c:421
#50 0x00000035d8611230 in g_object_run_dispose (object=
    0xb7a040 [EMailShellContent]) at gobject.c:934
#51 0x000000384cf7416e in gtk_notebook_forall (
    container=<value optimized out>, include_internals=0, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0)
    at gtknotebook.c:4265
#52 0x000000384cec1467 in gtk_container_destroy (object=0x6b03c0 [GtkNotebook])
    at gtkcontainer.c:1072
#53 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xc9f4a0, invocation_hint=
    0x7fffffffcdb0) at gclosure.c:766
#54 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x6b03c0, emission_return=0x0, instance_and_params=
    0xc9f4a0) at gsignal.c:3368
#55 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#56 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#57 0x000000384cf7cd5e in gtk_object_dispose (gobject=0x6b03c0 [GtkNotebook])
    at gtkobject.c:421
#58 0x00000035d8611230 in g_object_run_dispose (object=0x6b03c0 [GtkNotebook])
    at gobject.c:934
#59 0x000000384cec1467 in gtk_container_destroy (object=0xb21a10 [GtkHPaned])
    at gtkcontainer.c:1072
#60 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xc98ba0, invocation_hint=
    0x7fffffffd220) at gclosure.c:766
#61 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb21a10, emission_return=0x0, instance_and_params=
    0xc98ba0) at gsignal.c:3368
#62 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#63 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#64 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb21a10 [GtkHPaned])
    at gtkobject.c:421
---Type <return> to continue, or q <return> to quit---
#65 0x00000035d8611230 in g_object_run_dispose (object=0xb21a10 [GtkHPaned])
    at gobject.c:934
#66 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#67 0x000000384cec1467 in gtk_container_destroy (object=0xafcb10 [GtkVBox])
    at gtkcontainer.c:1072
#68 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xc4aac0, invocation_hint=
    0x7fffffffd6c0) at gclosure.c:766
#69 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xafcb10, emission_return=0x0, instance_and_params=
    0xc4aac0) at gsignal.c:3368
#70 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#71 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#72 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xafcb10 [GtkVBox])
    at gtkobject.c:421
#73 0x00000035d8611230 in g_object_run_dispose (object=0xafcb10 [GtkVBox])
---Type <return> to continue, or q <return> to quit---
    at gobject.c:934
#74 0x000000384cec1467 in gtk_container_destroy (object=
    0x6a5200 [EShellWindow]) at gtkcontainer.c:1072
#75 0x00000035d860e03e in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0x7fffb0028d00, invocation_hint=
    0x7fffffffdb30) at gclosure.c:766
#76 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x6a5200, emission_return=0x0, instance_and_params=
    0x7fffb0028d00) at gsignal.c:3368
#77 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#78 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#79 0x000000384cf7cd5e in gtk_object_dispose (gobject=0x6a5200 [EShellWindow])
    at gtkobject.c:421
#80 0x00000035d8611230 in g_object_run_dispose (object=0x6a5200 [EShellWindow])
    at gobject.c:934
#81 0x00000035d7a3ddd7 in g_list_foreach (list=<value optimized out>, func=
    0x384d084160 <IA__gtk_widget_destroy>, user_data=0x0) at glist.c:919
#82 0x00000035026199fb in shell_ready_for_quit (shell=0x644510 [EShell], 
---Type <return> to continue, or q <return> to quit---
    activity=<value optimized out>, is_last_ref=<value optimized out>)
    at e-shell.c:339
#83 0x00000035d7a3e2ce in g_source_callback_unref (cb_data=0xdbb930)
    at gmain.c:1182
#84 0x00000035d7a3e82a in g_source_destroy_internal (source=0x10bc980, context=
    0x642eb0, have_lock=1) at gmain.c:961
#85 0x00000035d7a41ea1 in g_main_dispatch (context=0x642eb0) at gmain.c:2174
#86 g_main_context_dispatch (context=0x642eb0) at gmain.c:2702
#87 0x00000035d7a42610 in g_main_context_iterate (context=0x642eb0, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2780
#88 0x00000035d7a42c82 in g_main_loop_run (loop=0x816e90) at gmain.c:2988
#89 0x000000384cf4b0b7 in IA__gtk_main () at gtkmain.c:1237
#90 0x0000000000402679 in main (argc=1, argv=0x7fffffffe238) at main.c:671
------------------------------

Hmm, libcamel-provider in the trace. Let me install that debuginfo...

Comment 28 Bojan Smojver 2010-11-12 12:13:52 UTC
Better trace:
------------------------------
[bojan@shrek ~]$ gdb evolution
GNU gdb (GDB) Fedora (7.2-23.fc14)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
(gdb) r
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff069c700 (LWP 15947)]
[New Thread 0x7fffe37c7700 (LWP 15948)]
[New Thread 0x7fffe2fc6700 (LWP 15949)]
[New Thread 0x7fffe259a700 (LWP 15950)]
[New Thread 0x7fffe1d99700 (LWP 15951)]
[New Thread 0x7fffe1598700 (LWP 15952)]
[New Thread 0x7fffe0d97700 (LWP 15953)]
[New Thread 0x7fffcbfff700 (LWP 15954)]
[Thread 0x7fffcbfff700 (LWP 15954) exited]
[New Thread 0x7fffcbfff700 (LWP 15955)]
[Thread 0x7fffcbfff700 (LWP 15955) exited]
[New Thread 0x7fffcbfff700 (LWP 15956)]
[Thread 0x7fffe1598700 (LWP 15952) exited]
[New Thread 0x7fffe1598700 (LWP 15957)]
[New Thread 0x7fffca175700 (LWP 15958)]
[New Thread 0x7fffc9974700 (LWP 15959)]
[New Thread 0x7fffc9173700 (LWP 15960)]
[Thread 0x7fffc9173700 (LWP 15960) exited]
[Thread 0x7fffca175700 (LWP 15958) exited]
[New Thread 0x7fffca175700 (LWP 15961)]
[Thread 0x7fffe1598700 (LWP 15957) exited]
[Thread 0x7fffca175700 (LWP 15961) exited]
[New Thread 0x7fffca175700 (LWP 15962)]
[New Thread 0x7fffe1598700 (LWP 15963)]
[Thread 0x7fffe0d97700 (LWP 15953) exited]
[Thread 0x7fffe1598700 (LWP 15963) exited]
[New Thread 0x7fffe1598700 (LWP 15964)]
[New Thread 0x7fffe0d97700 (LWP 15965)]
[New Thread 0x7fffc9173700 (LWP 15966)]
[Thread 0x7fffe1598700 (LWP 15964) exited]
[Thread 0x7fffe0d97700 (LWP 15965) exited]
[Thread 0x7fffc9173700 (LWP 15966) exited]
[New Thread 0x7fffc9173700 (LWP 15967)]
[New Thread 0x7fffe0d97700 (LWP 15968)]
[Thread 0x7fffca175700 (LWP 15962) exited]
[Thread 0x7fffe0d97700 (LWP 15968) exited]
[New Thread 0x7fffe0d97700 (LWP 15969)]
[New Thread 0x7fffca175700 (LWP 15970)]
[New Thread 0x7fffe1598700 (LWP 15971)]
[Thread 0x7fffc9173700 (LWP 15967) exited]
[New Thread 0x7fffc9173700 (LWP 15972)]
[Thread 0x7fffc9173700 (LWP 15972) exited]
[Thread 0x7fffe0d97700 (LWP 15969) exited]
[Thread 0x7fffca175700 (LWP 15970) exited]
[New Thread 0x7fffca175700 (LWP 15973)]
[New Thread 0x7fffe0d97700 (LWP 15974)]
[Thread 0x7fffca175700 (LWP 15973) exited]
[Thread 0x7fffe1598700 (LWP 15971) exited]
[New Thread 0x7fffe1598700 (LWP 15975)]
[Thread 0x7fffe1598700 (LWP 15975) exited]
[New Thread 0x7fffe1598700 (LWP 15976)]
[Thread 0x7fffe1598700 (LWP 15976) exited]
[New Thread 0x7fffe1598700 (LWP 15977)]
[Thread 0x7fffe1598700 (LWP 15977) exited]
[New Thread 0x7fffe1598700 (LWP 15978)]
[Thread 0x7fffe1598700 (LWP 15978) exited]
[New Thread 0x7fffe1598700 (LWP 15979)]
[Thread 0x7fffe1598700 (LWP 15979) exited]
[New Thread 0x7fffe1598700 (LWP 15980)]
[Thread 0x7fffe1598700 (LWP 15980) exited]
[New Thread 0x7fffe1598700 (LWP 15981)]
[Thread 0x7fffe1598700 (LWP 15981) exited]
[New Thread 0x7fffe1598700 (LWP 15982)]
[Thread 0x7fffe1598700 (LWP 15982) exited]

Program received signal SIGSEGV, Segmentation fault.
0x00000035e5652b75 in PK11_DestroySlot (slot=0x79a4e0) at pk11slot.c:434
434		PK11_GETTAB(slot)->C_CloseAllSessions(slot->slotID);
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.19-1.fc14.x86_64 PackageKit-gtk-module-0.6.9-4.fc14.x86_64 cyrus-sasl-lib-2.1.23-12.fc14.x86_64 db4-4.8.30-2.fc14.x86_64 evolution-data-server-2.32.1-0.2.git20101111.fc14.x86_64 expat-2.0.1-10.fc13.x86_64 gnutls-2.8.6-2.fc14.x86_64 gtk2-engines-2.20.1-2.fc14.x86_64 gvfs-1.6.4-3.fc14.x86_64 keyutils-libs-1.2-6.fc12.x86_64 krb5-libs-1.8.2-6.fc14.x86_64 libX11-1.3.4-3.fc14.x86_64 libXau-1.0.6-1.fc14.x86_64 libXcomposite-0.4.2-1.fc14.x86_64 libXcursor-1.1.10-5.fc14.x86_64 libXdamage-1.1.3-1.fc14.x86_64 libXext-1.1.2-2.fc14.x86_64 libXfixes-4.0.5-1.fc14.x86_64 libXi-1.3.2-1.fc14.x86_64 libXinerama-1.1-2.fc13.x86_64 libXrandr-1.3.0-5.fc13.x86_64 libXrender-0.9.6-1.fc14.x86_64 libcom_err-1.41.12-5.fc14.x86_64 libgcc-4.5.1-4.fc14.x86_64 libgcrypt-1.4.5-4.fc13.x86_64 libgnome-keyring-2.32.0-1.fc14.x86_64 libgpg-error-1.9-1.fc14.x86_64 libmodman-1.0.1-5.fc14.x86_64 libogg-1.2.0-1.fc14.x86_64 libproxy-0.4.4-7.fc14.x86_64 libselinux-2.0.96-5.fc14.x86_64 libstdc++-4.5.1-4.fc14.x86_64 libtasn1-2.7-1.fc14.x86_64 libtdb-1.2.1-3.fc14.x86_64 libtool-ltdl-2.2.10-3.fc14.x86_64 libudev-161-4.fc14.x86_64 libuuid-2.18-4.4.fc14.x86_64 libvorbis-1.3.1-2.fc14.x86_64 libxcb-1.7-1.fc14.x86_64 nss-softokn-3.12.8-1.fc14.x86_64 nss-softokn-freebl-3.12.8-1.fc14.x86_64 openssl-1.0.0a-2.fc14.x86_64 pixman-0.18.4-1.fc14.x86_64 sssd-client-1.4.0-2.fc14.x86_64 xcb-util-0.3.6-1.fc12.x86_64 zlib-1.2.5-2.fc14.x86_64
(gdb) t a a bt

Thread 29 (Thread 0x7fffe0d97700 (LWP 15974)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00000035d8202352 in g_cond_timed_wait_posix_impl (
    cond=<value optimized out>, entered_mutex=<value optimized out>, 
    abs_time=<value optimized out>) at gthread-posix.c:242
#2  0x00000035d7a17c8f in g_async_queue_pop_intern_unlocked (queue=0xc15630, 
    try=0, end_time=0x7fffe0d96bf0) at gasyncqueue.c:423
#3  0x00000035d7a6bbf9 in g_thread_pool_wait_for_new_task (
    data=<value optimized out>) at gthreadpool.c:274
#4  g_thread_pool_thread_proxy (data=<value optimized out>)
    at gthreadpool.c:308
#5  0x00000035d7a69446 in g_thread_create_proxy (data=0xda0250)
    at gthread.c:1897
#6  0x00000035d6206d5b in start_thread (arg=0x7fffe0d97700)
    at pthread_create.c:301
#7  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 14 (Thread 0x7fffc9974700 (LWP 15959)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
---Type <return> to continue, or q <return> to quit---
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=
    0x7fffb80016d0, try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00007ffff7019f8e in camel_msgport_pop ()
   from /usr/lib64/libcamel-1.2.so.19
#3  0x00007fffe25b19ca in ?? ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimapx.so
#4  0x00007fffe25b1efc in ?? ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimapx.so
#5  0x00000035d7a69446 in g_thread_create_proxy (data=0x7fffc0003040)
    at gthread.c:1897
#6  0x00000035d6206d5b in start_thread (arg=0x7fffc9974700)
    at pthread_create.c:301
#7  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7fffcbfff700 (LWP 15956)):
#0  0x00000035d5eda883 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000035e422439f in _pr_poll_with_poll (pds=0x7fffcbffebd0, npds=2, 
    timeout=30000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3915
#2  0x00007fffe25b7ee2 in ?? ()
   from /usr/lib64/evolution-data-server-1.2/camel-providers/libcamelimapx.so
---Type <return> to continue, or q <return> to quit---
#3  0x00000035d7a69446 in g_thread_create_proxy (data=0x7fffc4022180)
    at gthread.c:1897
#4  0x00000035d6206d5b in start_thread (arg=0x7fffcbfff700)
    at pthread_create.c:301
#5  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fffe1d99700 (LWP 15951)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x94d360, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x94d360)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in ?? () from /usr/lib64/libcamel-1.2.so.19
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x94d3d0)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe1d99700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7fffe259a700 (LWP 15950)):
---Type <return> to continue, or q <return> to quit---
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x931e80, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x931e80)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in ?? () from /usr/lib64/libcamel-1.2.so.19
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x9309d0)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe259a700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fffe2fc6700 (LWP 15949)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x8edd70, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x8edd70)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in ?? () from /usr/lib64/libcamel-1.2.so.19
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x8d8810)
---Type <return> to continue, or q <return> to quit---
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe2fc6700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fffe37c7700 (LWP 15948)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x8d7170, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x8d7170)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in ?? () from /usr/lib64/libcamel-1.2.so.19
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x8d71b0)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe37c7700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7ffff069c700 (LWP 15947)):
#0  0x00000035d5eda883 in __poll (fds=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000035d7a42374 in g_main_context_poll (context=0x66cd70, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:3093
#2  g_main_context_iterate (context=0x66cd70, block=1, dispatch=1, 
    self=<value optimized out>) at gmain.c:2775
#3  0x00000035d7a42c82 in g_main_loop_run (loop=0x66ce50) at gmain.c:2988
#4  0x00000035d92a5774 in gdbus_shared_thread_func (data=<value optimized out>)
    at gdbusprivate.c:277
#5  0x00000035d7a69446 in g_thread_create_proxy (data=0x66ce70)
    at gthread.c:1897
#6  0x00000035d6206d5b in start_thread (arg=0x7ffff069c700)
    at pthread_create.c:301
#7  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7ffff6d86980 (LWP 15944)):
#0  0x00000035e5652b75 in PK11_DestroySlot (slot=0x79a4e0) at pk11slot.c:434
#1  0x00000035e566e5dd in nssDecodedPKIXCertificate_Destroy (dc=0x7fffc67b43f0)
    at pki3hack.c:549
#2  0x00000035e5667212 in nssCertificate_Destroy (c=0x7fffc66b0c50)
    at certificate.c:162
#3  0x00007ffff794b00a in ?? () from /usr/lib64/libcamel-provider-1.2.so.19
---Type <return> to continue, or q <return> to quit---
#4  0x00007ffff794c960 in camel_cipher_validity_free ()
   from /usr/lib64/libcamel-provider-1.2.so.19
#5  0x00000035042058e1 in emf_free_cache (efc=0x7fffc66b28e0) at em-format.c:83
#6  0x00000035d7a313fe in g_hash_table_remove_all_nodes (hash_table=
    0xb996d0 = {...}, notify=1) at ghash.c:491
#7  0x00000035d7a31ced in g_hash_table_remove_all (hash_table=0xb996d0 = {...})
    at ghash.c:1169
#8  0x00000035d7a31d85 in g_hash_table_destroy (hash_table=0xb996d0 = {...})
    at ghash.c:876
#9  0x0000003504206ad2 in emf_finalize (object=0xb7c0e0 [EMFormatHTMLDisplay])
    at em-format.c:150
#10 0x00000035d860f2f4 in g_object_unref (_object=0xb7c0e0) at gobject.c:2695
#11 0x0000003504a3e1e1 in mail_display_dispose (object=0x6a0ab0 [EMailDisplay])
    at e-mail-display.c:178
#12 0x00000035d8611230 in g_object_run_dispose (object=0x6a0ab0 [EMailDisplay])
    at gobject.c:934
#13 0x000000384cfbd77f in gtk_scrolled_window_forall (container=
    0xbc14a0 [GtkScrolledWindow], include_internals=0, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0)
    at gtkscrolledwindow.c:1086
#14 0x000000384cec1467 in gtk_container_destroy (object=
    0xbc14a0 [GtkScrolledWindow]) at gtkcontainer.c:1072
#15 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
---Type <return> to continue, or q <return> to quit---
    0x0, n_param_values=1, param_values=0xb8c760, invocation_hint=
    0x7fffffffb6e0) at gclosure.c:766
#16 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xbc14a0, emission_return=0x0, instance_and_params=
    0xb8c760) at gsignal.c:3368
#17 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#18 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#19 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xbc14a0 [GtkScrolledWindow]) at gtkobject.c:421
#20 0x00000035d8611230 in g_object_run_dispose (object=
    0xbc14a0 [GtkScrolledWindow]) at gobject.c:934
#21 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#22 0x000000384cec1467 in gtk_container_destroy (object=
    0xb45450 [EPreviewPane]) at gtkcontainer.c:1072
#23 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xb8c6c0, invocation_hint=
---Type <return> to continue, or q <return> to quit---
    0x7fffffffbb80) at gclosure.c:766
#24 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb45450, emission_return=0x0, instance_and_params=
    0xb8c6c0) at gsignal.c:3368
#25 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#26 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#27 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb45450 [EPreviewPane])
    at gtkobject.c:421
#28 0x00000035d8611230 in g_object_run_dispose (object=0xb45450 [EPreviewPane])
    at gobject.c:934
#29 0x000000384cec1467 in gtk_container_destroy (object=0xb2b240 [EPaned])
    at gtkcontainer.c:1072
#30 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xb8c600, invocation_hint=
    0x7fffffffbff0) at gclosure.c:766
#31 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb2b240, emission_return=0x0, instance_and_params=
    0xb8c600) at gsignal.c:3368
---Type <return> to continue, or q <return> to quit---
#32 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#33 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#34 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb2b240 [EPaned])
    at gtkobject.c:421
#35 0x00000035d8611230 in g_object_run_dispose (object=0xb2b240 [EPaned])
    at gobject.c:934
#36 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#37 0x000000384cec1467 in gtk_container_destroy (object=
    0xb05e70 [EMailPanedView]) at gtkcontainer.c:1072
#38 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xb8f120, invocation_hint=
    0x7fffffffc490) at gclosure.c:766
#39 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb05e70, emission_return=0x0, instance_and_params=
    0xb8f120) at gsignal.c:3368
#40 0x00000035d86287b5 in g_signal_emit_valist (
---Type <return> to continue, or q <return> to quit---
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#41 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#42 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xb05e70 [EMailPanedView]) at gtkobject.c:421
#43 0x00000035d8611230 in g_object_run_dispose (object=
    0xb05e70 [EMailPanedView]) at gobject.c:934
#44 0x000000384cec1467 in gtk_container_destroy (object=
    0xb7a040 [EMailShellContent]) at gtkcontainer.c:1072
#45 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xc9f680, invocation_hint=
    0x7fffffffc900) at gclosure.c:766
#46 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb7a040, emission_return=0x0, instance_and_params=
    0xc9f680) at gsignal.c:3368
#47 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#48 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#49 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xb7a040 [EMailShellContent]) at gtkobject.c:421
#50 0x00000035d8611230 in g_object_run_dispose (object=
    0xb7a040 [EMailShellContent]) at gobject.c:934
#51 0x000000384cf7416e in gtk_notebook_forall (
    container=<value optimized out>, include_internals=0, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0)
    at gtknotebook.c:4265
#52 0x000000384cec1467 in gtk_container_destroy (object=0x6b03c0 [GtkNotebook])
    at gtkcontainer.c:1072
#53 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xc9f4a0, invocation_hint=
    0x7fffffffcdb0) at gclosure.c:766
#54 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x6b03c0, emission_return=0x0, instance_and_params=
    0xc9f4a0) at gsignal.c:3368
#55 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#56 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#57 0x000000384cf7cd5e in gtk_object_dispose (gobject=0x6b03c0 [GtkNotebook])
    at gtkobject.c:421
#58 0x00000035d8611230 in g_object_run_dispose (object=0x6b03c0 [GtkNotebook])
    at gobject.c:934
#59 0x000000384cec1467 in gtk_container_destroy (object=0xb21a10 [GtkHPaned])
    at gtkcontainer.c:1072
#60 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xc98ba0, invocation_hint=
    0x7fffffffd220) at gclosure.c:766
#61 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb21a10, emission_return=0x0, instance_and_params=
    0xc98ba0) at gsignal.c:3368
#62 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#63 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#64 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb21a10 [GtkHPaned])
    at gtkobject.c:421
---Type <return> to continue, or q <return> to quit---
#65 0x00000035d8611230 in g_object_run_dispose (object=0xb21a10 [GtkHPaned])
    at gobject.c:934
#66 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#67 0x000000384cec1467 in gtk_container_destroy (object=0xafcb10 [GtkVBox])
    at gtkcontainer.c:1072
#68 0x00000035d860df89 in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0xc4aac0, invocation_hint=
    0x7fffffffd6c0) at gclosure.c:766
#69 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xafcb10, emission_return=0x0, instance_and_params=
    0xc4aac0) at gsignal.c:3368
#70 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#71 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#72 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xafcb10 [GtkVBox])
    at gtkobject.c:421
#73 0x00000035d8611230 in g_object_run_dispose (object=0xafcb10 [GtkVBox])
---Type <return> to continue, or q <return> to quit---
    at gobject.c:934
#74 0x000000384cec1467 in gtk_container_destroy (object=
    0x6a5200 [EShellWindow]) at gtkcontainer.c:1072
#75 0x00000035d860e03e in g_closure_invoke (closure=0x681c00, return_value=
    0x0, n_param_values=1, param_values=0x7fffb0028d00, invocation_hint=
    0x7fffffffdb30) at gclosure.c:766
#76 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x6a5200, emission_return=0x0, instance_and_params=
    0x7fffb0028d00) at gsignal.c:3368
#77 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#78 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#79 0x000000384cf7cd5e in gtk_object_dispose (gobject=0x6a5200 [EShellWindow])
    at gtkobject.c:421
#80 0x00000035d8611230 in g_object_run_dispose (object=0x6a5200 [EShellWindow])
    at gobject.c:934
#81 0x00000035d7a3ddd7 in g_list_foreach (list=<value optimized out>, func=
    0x384d084160 <IA__gtk_widget_destroy>, user_data=0x0) at glist.c:919
#82 0x00000035026199fb in shell_ready_for_quit (shell=0x644510 [EShell], 
---Type <return> to continue, or q <return> to quit---
    activity=<value optimized out>, is_last_ref=<value optimized out>)
    at e-shell.c:339
#83 0x00000035d7a3e2ce in g_source_callback_unref (cb_data=0xdbb930)
    at gmain.c:1182
#84 0x00000035d7a3e82a in g_source_destroy_internal (source=0x10bc980, context=
    0x642eb0, have_lock=1) at gmain.c:961
#85 0x00000035d7a41ea1 in g_main_dispatch (context=0x642eb0) at gmain.c:2174
#86 g_main_context_dispatch (context=0x642eb0) at gmain.c:2702
#87 0x00000035d7a42610 in g_main_context_iterate (context=0x642eb0, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2780
#88 0x00000035d7a42c82 in g_main_loop_run (loop=0x816e90) at gmain.c:2988
#89 0x000000384cf4b0b7 in IA__gtk_main () at gtkmain.c:1237
#90 0x0000000000402679 in main (argc=1, argv=0x7fffffffe238) at main.c:671
(gdb) q
A debugging session is active.

	Inferior 1 [process 15944] will be killed.

Quit anyway? (y or n) y
[bojan@shrek ~]$ pgrep evo
[bojan@shrek ~]$ pgrep e-cal
[bojan@shrek ~]$ pgrep e-add
[bojan@shrek ~]$ gdb evolution
GNU gdb (GDB) Fedora (7.2-23.fc14)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
(gdb) r
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff069c700 (LWP 16081)]
[New Thread 0x7fffe37c7700 (LWP 16082)]
[New Thread 0x7fffe2fc6700 (LWP 16083)]
[New Thread 0x7fffe259a700 (LWP 16084)]
[New Thread 0x7fffe1d99700 (LWP 16085)]
[New Thread 0x7fffe1598700 (LWP 16086)]
[New Thread 0x7fffe0d97700 (LWP 16087)]
[New Thread 0x7fffcbfff700 (LWP 16088)]
[Thread 0x7fffcbfff700 (LWP 16088) exited]
[New Thread 0x7fffcbfff700 (LWP 16089)]
[Thread 0x7fffcbfff700 (LWP 16089) exited]
[New Thread 0x7fffcbfff700 (LWP 16090)]
[Thread 0x7fffe1598700 (LWP 16086) exited]
[New Thread 0x7fffe1598700 (LWP 16091)]
[New Thread 0x7fffca378700 (LWP 16092)]
[New Thread 0x7fffc9b77700 (LWP 16093)]
[New Thread 0x7fffc9376700 (LWP 16094)]
[Thread 0x7fffc9376700 (LWP 16094) exited]
[Thread 0x7fffca378700 (LWP 16092) exited]
[New Thread 0x7fffca378700 (LWP 16095)]
[New Thread 0x7fffc9376700 (LWP 16096)]
[New Thread 0x7fffb7fff700 (LWP 16097)]
Detaching after fork from child process 16098.
[Thread 0x7fffc9376700 (LWP 16096) exited]
[Thread 0x7fffe0d97700 (LWP 16087) exited]
[Thread 0x7fffe1598700 (LWP 16091) exited]
[Thread 0x7fffb7fff700 (LWP 16097) exited]
[New Thread 0x7fffb7fff700 (LWP 16099)]
[New Thread 0x7fffe1598700 (LWP 16100)]
[Thread 0x7fffca378700 (LWP 16095) exited]
[New Thread 0x7fffca378700 (LWP 16101)]
[New Thread 0x7fffe0d97700 (LWP 16102)]
Detaching after fork from child process 16103.
[Thread 0x7fffe0d97700 (LWP 16102) exited]
[Thread 0x7fffb7fff700 (LWP 16099) exited]
[New Thread 0x7fffb7fff700 (LWP 16104)]
[Thread 0x7fffca378700 (LWP 16101) exited]
[Thread 0x7fffe1598700 (LWP 16100) exited]
[New Thread 0x7fffe1598700 (LWP 16105)]
[Thread 0x7fffe1598700 (LWP 16105) exited]
[New Thread 0x7fffe1598700 (LWP 16106)]
[New Thread 0x7fffca378700 (LWP 16107)]
[Thread 0x7fffe1598700 (LWP 16106) exited]
[Thread 0x7fffca378700 (LWP 16107) exited]
[New Thread 0x7fffca378700 (LWP 16108)]
[Thread 0x7fffca378700 (LWP 16108) exited]
[New Thread 0x7fffca378700 (LWP 16109)]
[Thread 0x7fffca378700 (LWP 16109) exited]
[New Thread 0x7fffca378700 (LWP 16110)]
[Thread 0x7fffca378700 (LWP 16110) exited]
[New Thread 0x7fffca378700 (LWP 16111)]
[Thread 0x7fffca378700 (LWP 16111) exited]
[New Thread 0x7fffca378700 (LWP 16112)]
[Thread 0x7fffca378700 (LWP 16112) exited]
[New Thread 0x7fffca378700 (LWP 16113)]
[Thread 0x7fffca378700 (LWP 16113) exited]
[New Thread 0x7fffca378700 (LWP 16114)]
[Thread 0x7fffca378700 (LWP 16114) exited]
[New Thread 0x7fffca378700 (LWP 16115)]
[Thread 0x7fffca378700 (LWP 16115) exited]

Program received signal SIGSEGV, Segmentation fault.
0x00000035e5652b75 in PK11_DestroySlot (slot=0x79a4d0) at pk11slot.c:434
434		PK11_GETTAB(slot)->C_CloseAllSessions(slot->slotID);
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.19-1.fc14.x86_64 PackageKit-gtk-module-0.6.9-4.fc14.x86_64 cyrus-sasl-lib-2.1.23-12.fc14.x86_64 db4-4.8.30-2.fc14.x86_64 expat-2.0.1-10.fc13.x86_64 gnutls-2.8.6-2.fc14.x86_64 gtk2-engines-2.20.1-2.fc14.x86_64 gvfs-1.6.4-3.fc14.x86_64 keyutils-libs-1.2-6.fc12.x86_64 krb5-libs-1.8.2-6.fc14.x86_64 libX11-1.3.4-3.fc14.x86_64 libXau-1.0.6-1.fc14.x86_64 libXcomposite-0.4.2-1.fc14.x86_64 libXcursor-1.1.10-5.fc14.x86_64 libXdamage-1.1.3-1.fc14.x86_64 libXext-1.1.2-2.fc14.x86_64 libXfixes-4.0.5-1.fc14.x86_64 libXi-1.3.2-1.fc14.x86_64 libXinerama-1.1-2.fc13.x86_64 libXrandr-1.3.0-5.fc13.x86_64 libXrender-0.9.6-1.fc14.x86_64 libcom_err-1.41.12-5.fc14.x86_64 libgcc-4.5.1-4.fc14.x86_64 libgcrypt-1.4.5-4.fc13.x86_64 libgnome-keyring-2.32.0-1.fc14.x86_64 libgpg-error-1.9-1.fc14.x86_64 libmodman-1.0.1-5.fc14.x86_64 libogg-1.2.0-1.fc14.x86_64 libproxy-0.4.4-7.fc14.x86_64 libselinux-2.0.96-5.fc14.x86_64 libstdc++-4.5.1-4.fc14.x86_64 libtasn1-2.7-1.fc14.x86_64 libtdb-1.2.1-3.fc14.x86_64 libtool-ltdl-2.2.10-3.fc14.x86_64 libudev-161-4.fc14.x86_64 libuuid-2.18-4.4.fc14.x86_64 libvorbis-1.3.1-2.fc14.x86_64 libxcb-1.7-1.fc14.x86_64 nss-softokn-3.12.8-1.fc14.x86_64 nss-softokn-freebl-3.12.8-1.fc14.x86_64 openssl-1.0.0a-2.fc14.x86_64 pixman-0.18.4-1.fc14.x86_64 sssd-client-1.4.0-2.fc14.x86_64 xcb-util-0.3.6-1.fc12.x86_64 zlib-1.2.5-2.fc14.x86_64
(gdb) t a a bt

Thread 23 (Thread 0x7fffb7fff700 (LWP 16104)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00000035d8202352 in g_cond_timed_wait_posix_impl (
    cond=<value optimized out>, entered_mutex=<value optimized out>, 
    abs_time=<value optimized out>) at gthread-posix.c:242
#2  0x00000035d7a17c8f in g_async_queue_pop_intern_unlocked (queue=0xd82f00, 
    try=0, end_time=0x7fffb7ffebf0) at gasyncqueue.c:423
#3  0x00000035d7a6bbf9 in g_thread_pool_wait_for_new_task (
    data=<value optimized out>) at gthreadpool.c:274
#4  g_thread_pool_thread_proxy (data=<value optimized out>)
    at gthreadpool.c:308
#5  0x00000035d7a69446 in g_thread_create_proxy (data=0xe18a10)
    at gthread.c:1897
#6  0x00000035d6206d5b in start_thread (arg=0x7fffb7fff700)
    at pthread_create.c:301
#7  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 14 (Thread 0x7fffc9b77700 (LWP 16093)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
---Type <return> to continue, or q <return> to quit---
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=
    0x7fffb800bf10, try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00007ffff7019f8e in camel_msgport_pop (msgport=0xe78340)
    at camel-msgport.c:409
#3  0x00007fffe25b19ca in imapx_run_job (is=<value optimized out>, job=
    0x7fffb800b680, error=0x7fffc9b76c08) at camel-imapx-server.c:2079
#4  0x00007fffe25b1efc in camel_imapx_server_idle (data=0x658820)
    at camel-imapx-server.c:2194
#5  imapx_idle_thread (data=0x658820) at camel-imapx-server.c:2252
#6  0x00000035d7a69446 in g_thread_create_proxy (data=0x7fffc0003040)
    at gthread.c:1897
#7  0x00000035d6206d5b in start_thread (arg=0x7fffc9b77700)
    at pthread_create.c:301
#8  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7fffcbfff700 (LWP 16090)):
#0  0x00000035d5eda883 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000035e422439f in _pr_poll_with_poll (pds=0x7fffcbffebd0, npds=2, 
    timeout=30000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3915
#2  0x00007fffe25b7ee2 in imapx_parser_thread (d=0x658820)
---Type <return> to continue, or q <return> to quit---
    at camel-imapx-server.c:4742
#3  0x00000035d7a69446 in g_thread_create_proxy (data=0x7fffc40234a0)
    at gthread.c:1897
#4  0x00000035d6206d5b in start_thread (arg=0x7fffcbfff700)
    at pthread_create.c:301
#5  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fffe1d99700 (LWP 16085)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x94d470, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x94d470)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in sync_request_thread_cb (cFile=0xa05448)
    at camel-db.c:80
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x94d4e0)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe1d99700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
---Type <return> to continue, or q <return> to quit---

Thread 5 (Thread 0x7fffe259a700 (LWP 16084)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x931350, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x931350)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in sync_request_thread_cb (cFile=0x931208)
    at camel-db.c:80
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x9313c0)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe259a700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fffe2fc6700 (LWP 16083)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x8f0c80, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x8f0c80)
---Type <return> to continue, or q <return> to quit---
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in sync_request_thread_cb (cFile=0x8fda18)
    at camel-db.c:80
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x8f0cc0)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe2fc6700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fffe37c7700 (LWP 16082)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x8dd220, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x8dd220)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in sync_request_thread_cb (cFile=0x8dd738)
    at camel-db.c:80
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x8dd260)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe37c7700)
    at pthread_create.c:301
---Type <return> to continue, or q <return> to quit---
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7ffff069c700 (LWP 16081)):
#0  0x00000035d5eda883 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000035d7a42374 in g_main_context_poll (context=0x66cd30, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:3093
#2  g_main_context_iterate (context=0x66cd30, block=1, dispatch=1, 
    self=<value optimized out>) at gmain.c:2775
#3  0x00000035d7a42c82 in g_main_loop_run (loop=0x66ce10) at gmain.c:2988
#4  0x00000035d92a5774 in gdbus_shared_thread_func (data=<value optimized out>)
    at gdbusprivate.c:277
#5  0x00000035d7a69446 in g_thread_create_proxy (data=0x66ce30)
    at gthread.c:1897
#6  0x00000035d6206d5b in start_thread (arg=0x7ffff069c700)
    at pthread_create.c:301
#7  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7ffff6d86980 (LWP 16078)):
#0  0x00000035e5652b75 in PK11_DestroySlot (slot=0x79a4d0) at pk11slot.c:434
---Type <return> to continue, or q <return> to quit---
#1  0x00000035e566e5dd in nssDecodedPKIXCertificate_Destroy (dc=0x7fffc66aebc0)
    at pki3hack.c:549
#2  0x00000035e5667212 in nssCertificate_Destroy (c=0x7fffc67b13d0)
    at certificate.c:162
#3  0x00007ffff794b00a in ccv_certinfo_free (info=0x7fffc68bcfb0)
    at camel-cipher-context.c:432
#4  0x00007ffff794c960 in camel_cipher_validity_free (validity=0x7fffc68cca20)
    at camel-cipher-context.c:638
#5  0x00000035042058e1 in emf_free_cache (efc=0x7fffc669d500) at em-format.c:83
#6  0x00000035d7a313fe in g_hash_table_remove_all_nodes (hash_table=
    0xb99b20 = {...}, notify=1) at ghash.c:491
#7  0x00000035d7a31ced in g_hash_table_remove_all (hash_table=0xb99b20 = {...})
    at ghash.c:1169
#8  0x00000035d7a31d85 in g_hash_table_destroy (hash_table=0xb99b20 = {...})
    at ghash.c:876
#9  0x0000003504206ad2 in emf_finalize (object=0xb7d140 [EMFormatHTMLDisplay])
    at em-format.c:150
#10 0x00000035d860f2f4 in g_object_unref (_object=0xb7d140) at gobject.c:2695
#11 0x0000003504a3e1e1 in mail_display_dispose (object=0x69fb40 [EMailDisplay])
    at e-mail-display.c:178
#12 0x00000035d8611230 in g_object_run_dispose (object=0x69fb40 [EMailDisplay])
    at gobject.c:934
#13 0x000000384cfbd77f in gtk_scrolled_window_forall (container=
---Type <return> to continue, or q <return> to quit---
    0xbc1ca0 [GtkScrolledWindow], include_internals=0, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0)
    at gtkscrolledwindow.c:1086
#14 0x000000384cec1467 in gtk_container_destroy (object=
    0xbc1ca0 [GtkScrolledWindow]) at gtkcontainer.c:1072
#15 0x00000035d860df89 in g_closure_invoke (closure=0x65d300, return_value=
    0x0, n_param_values=1, param_values=0xdbda20, invocation_hint=
    0x7fffffffb6e0) at gclosure.c:766
#16 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xbc1ca0, emission_return=0x0, instance_and_params=
    0xdbda20) at gsignal.c:3368
#17 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#18 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#19 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xbc1ca0 [GtkScrolledWindow]) at gtkobject.c:421
#20 0x00000035d8611230 in g_object_run_dispose (object=
    0xbc1ca0 [GtkScrolledWindow]) at gobject.c:934
#21 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#22 0x000000384cec1467 in gtk_container_destroy (object=
    0xb45c50 [EPreviewPane]) at gtkcontainer.c:1072
#23 0x00000035d860df89 in g_closure_invoke (closure=0x65d300, return_value=
    0x0, n_param_values=1, param_values=0x7fffc0001d80, invocation_hint=
    0x7fffffffbb80) at gclosure.c:766
#24 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb45c50, emission_return=0x0, instance_and_params=
    0x7fffc0001d80) at gsignal.c:3368
#25 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#26 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#27 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb45c50 [EPreviewPane])
    at gtkobject.c:421
#28 0x00000035d8611230 in g_object_run_dispose (object=0xb45c50 [EPreviewPane])
    at gobject.c:934
#29 0x000000384cec1467 in gtk_container_destroy (object=0xb2c240 [EPaned])
    at gtkcontainer.c:1072
---Type <return> to continue, or q <return> to quit---
#30 0x00000035d860df89 in g_closure_invoke (closure=0x65d300, return_value=
    0x0, n_param_values=1, param_values=0xc49ec0, invocation_hint=
    0x7fffffffbff0) at gclosure.c:766
#31 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb2c240, emission_return=0x0, instance_and_params=
    0xc49ec0) at gsignal.c:3368
#32 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#33 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#34 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb2c240 [EPaned])
    at gtkobject.c:421
#35 0x00000035d8611230 in g_object_run_dispose (object=0xb2c240 [EPaned])
    at gobject.c:934
#36 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#37 0x000000384cec1467 in gtk_container_destroy (object=
    0xb05e70 [EMailPanedView]) at gtkcontainer.c:1072
#38 0x00000035d860df89 in g_closure_invoke (closure=0x65d300, return_value=
---Type <return> to continue, or q <return> to quit---
    0x0, n_param_values=1, param_values=0xc49e40, invocation_hint=
    0x7fffffffc490) at gclosure.c:766
#39 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb05e70, emission_return=0x0, instance_and_params=
    0xc49e40) at gsignal.c:3368
#40 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#41 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#42 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xb05e70 [EMailPanedView]) at gtkobject.c:421
#43 0x00000035d8611230 in g_object_run_dispose (object=
    0xb05e70 [EMailPanedView]) at gobject.c:934
#44 0x000000384cec1467 in gtk_container_destroy (object=
    0xb7a810 [EMailShellContent]) at gtkcontainer.c:1072
#45 0x00000035d860df89 in g_closure_invoke (closure=0x65d300, return_value=
    0x0, n_param_values=1, param_values=0xb38b80, invocation_hint=
    0x7fffffffc900) at gclosure.c:766
#46 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb7a810, emission_return=0x0, instance_and_params=
---Type <return> to continue, or q <return> to quit---
    0xb38b80) at gsignal.c:3368
#47 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#48 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#49 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xb7a810 [EMailShellContent]) at gtkobject.c:421
#50 0x00000035d8611230 in g_object_run_dispose (object=
    0xb7a810 [EMailShellContent]) at gobject.c:934
#51 0x000000384cf7416e in gtk_notebook_forall (
    container=<value optimized out>, include_internals=0, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0)
    at gtknotebook.c:4265
#52 0x000000384cec1467 in gtk_container_destroy (object=0x6b03c0 [GtkNotebook])
    at gtkcontainer.c:1072
#53 0x00000035d860df89 in g_closure_invoke (closure=0x65d300, return_value=
    0x0, n_param_values=1, param_values=0x824d20, invocation_hint=
    0x7fffffffcdb0) at gclosure.c:766
#54 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x6b03c0, emission_return=0x0, instance_and_params=
---Type <return> to continue, or q <return> to quit---
    0x824d20) at gsignal.c:3368
#55 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#56 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#57 0x000000384cf7cd5e in gtk_object_dispose (gobject=0x6b03c0 [GtkNotebook])
    at gtkobject.c:421
#58 0x00000035d8611230 in g_object_run_dispose (object=0x6b03c0 [GtkNotebook])
    at gobject.c:934
#59 0x000000384cec1467 in gtk_container_destroy (object=0xb21a10 [GtkHPaned])
    at gtkcontainer.c:1072
#60 0x00000035d860df89 in g_closure_invoke (closure=0x65d300, return_value=
    0x0, n_param_values=1, param_values=0xc9d4c0, invocation_hint=
    0x7fffffffd220) at gclosure.c:766
#61 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb21a10, emission_return=0x0, instance_and_params=
    0xc9d4c0) at gsignal.c:3368
#62 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at gsignal.c:2983
#63 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#64 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb21a10 [GtkHPaned])
    at gtkobject.c:421
#65 0x00000035d8611230 in g_object_run_dispose (object=0xb21a10 [GtkHPaned])
    at gobject.c:934
#66 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#67 0x000000384cec1467 in gtk_container_destroy (object=0xafcb10 [GtkVBox])
    at gtkcontainer.c:1072
#68 0x00000035d860df89 in g_closure_invoke (closure=0x65d300, return_value=
    0x0, n_param_values=1, param_values=0xd0d100, invocation_hint=
    0x7fffffffd6c0) at gclosure.c:766
#69 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xafcb10, emission_return=0x0, instance_and_params=
    0xd0d100) at gsignal.c:3368
#70 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
---Type <return> to continue, or q <return> to quit---
#71 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#72 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xafcb10 [GtkVBox])
    at gtkobject.c:421
#73 0x00000035d8611230 in g_object_run_dispose (object=0xafcb10 [GtkVBox])
    at gobject.c:934
#74 0x000000384cec1467 in gtk_container_destroy (object=
    0x6a5200 [EShellWindow]) at gtkcontainer.c:1072
#75 0x00000035d860e03e in g_closure_invoke (closure=0x65d300, return_value=
    0x0, n_param_values=1, param_values=0xd54400, invocation_hint=
    0x7fffffffdb30) at gclosure.c:766
#76 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x6a5200, emission_return=0x0, instance_and_params=
    0xd54400) at gsignal.c:3368
#77 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#78 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#79 0x000000384cf7cd5e in gtk_object_dispose (gobject=0x6a5200 [EShellWindow])
---Type <return> to continue, or q <return> to quit---
    at gtkobject.c:421
#80 0x00000035d8611230 in g_object_run_dispose (object=0x6a5200 [EShellWindow])
    at gobject.c:934
#81 0x00000035d7a3ddd7 in g_list_foreach (list=<value optimized out>, func=
    0x384d084160 <IA__gtk_widget_destroy>, user_data=0x0) at glist.c:919
#82 0x00000035026199fb in shell_ready_for_quit (shell=0x644510 [EShell], 
    activity=<value optimized out>, is_last_ref=<value optimized out>)
    at e-shell.c:339
#83 0x00000035d7a3e2ce in g_source_callback_unref (cb_data=0xc3a400)
    at gmain.c:1182
#84 0x00000035d7a3e82a in g_source_destroy_internal (source=0xea9d40, context=
    0x642dd0, have_lock=1) at gmain.c:961
#85 0x00000035d7a41ea1 in g_main_dispatch (context=0x642dd0) at gmain.c:2174
#86 g_main_context_dispatch (context=0x642dd0) at gmain.c:2702
#87 0x00000035d7a42610 in g_main_context_iterate (context=0x642dd0, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2780
#88 0x00000035d7a42c82 in g_main_loop_run (loop=0x841410) at gmain.c:2988
#89 0x000000384cf4b0b7 in IA__gtk_main () at gtkmain.c:1237
#90 0x0000000000402679 in main (argc=1, argv=0x7fffffffe238) at main.c:671
(gdb) 
------------------------------

Hope this helps.

Comment 29 Bojan Smojver 2010-11-12 12:18:57 UTC
Actually, when I revert to evolution-data-server-2.32.1-0.1.git20101111.fc14.x86_64, I also get a crash on close. I guess I never noticed because I normally suspend my box.

Comment 30 Bojan Smojver 2010-11-12 12:22:01 UTC
Can't see crashes with evolution-data-server-2.32.0-3.fc14.x86_64.

Comment 31 David Woodhouse 2010-11-12 12:33:49 UTC
Um, that looks like a *different* issue. I can't see anything obvious that would have caused it though. Are you familiar with 'git bisect'... ?

Comment 32 David Woodhouse 2010-11-12 12:39:01 UTC
I cannot reproduce that crash here. I assume it persists even if you disable QRESYNC, (just to eliminate the small but non-zero possibility that it's caused by memory corruption due to some unseen bug in these patches)?

Comment 33 Bojan Smojver 2010-11-12 12:39:48 UTC
(In reply to comment #31)
> Um, that looks like a *different* issue. I can't see anything obvious that
> would have caused it though. Are you familiar with 'git bisect'... ?

No, but I can try :-)

Comment 34 Bojan Smojver 2010-11-12 12:40:07 UTC
(In reply to comment #32)
> I cannot reproduce that crash here. I assume it persists even if you disable
> QRESYNC, (just to eliminate the small but non-zero possibility that it's caused
> by memory corruption due to some unseen bug in these patches)?

Hang on, let me try that...

Comment 35 Bojan Smojver 2010-11-12 12:51:31 UTC
Yeah, even when I turn QRESYNC off, it crashes on exit:
------------------------------
[bojan@shrek ~]$ gdb evolution
GNU gdb (GDB) Fedora (7.2-23.fc14)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
(gdb) r
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff069c700 (LWP 16814)]
[New Thread 0x7fffe37c7700 (LWP 16815)]
[New Thread 0x7fffe2fc6700 (LWP 16816)]
[New Thread 0x7fffe259a700 (LWP 16817)]
[New Thread 0x7fffe1d99700 (LWP 16818)]
[New Thread 0x7fffe1598700 (LWP 16819)]
[New Thread 0x7fffe0d97700 (LWP 16820)]
[New Thread 0x7fffcbfff700 (LWP 16821)]
[Thread 0x7fffcbfff700 (LWP 16821) exited]
[New Thread 0x7fffcbfff700 (LWP 16822)]
[Thread 0x7fffcbfff700 (LWP 16822) exited]
[New Thread 0x7fffcbfff700 (LWP 16823)]
[New Thread 0x7fffca378700 (LWP 16824)]
[Thread 0x7fffe0d97700 (LWP 16820) exited]
[New Thread 0x7fffe0d97700 (LWP 16825)]
[Thread 0x7fffe0d97700 (LWP 16825) exited]
[New Thread 0x7fffe0d97700 (LWP 16826)]
[Thread 0x7fffe0d97700 (LWP 16826) exited]
[New Thread 0x7fffe0d97700 (LWP 16827)]
[New Thread 0x7fffc9935700 (LWP 16828)]
[New Thread 0x7fffc9134700 (LWP 16829)]
[New Thread 0x7fffc8933700 (LWP 16830)]
[New Thread 0x7fffb7bf5700 (LWP 16831)]
[Thread 0x7fffc9935700 (LWP 16828) exited]
[Thread 0x7fffb7bf5700 (LWP 16831) exited]
[Thread 0x7fffc9134700 (LWP 16829) exited]
[New Thread 0x7fffc9134700 (LWP 16832)]
[Thread 0x7fffe0d97700 (LWP 16827) exited]
[New Thread 0x7fffe0d97700 (LWP 16833)]
[Thread 0x7fffc9134700 (LWP 16832) exited]
[Thread 0x7fffe1598700 (LWP 16819) exited]
[Thread 0x7fffc8933700 (LWP 16830) exited]
[New Thread 0x7fffc8933700 (LWP 16834)]
[New Thread 0x7fffe1598700 (LWP 16835)]
[Thread 0x7fffc8933700 (LWP 16834) exited]
[Thread 0x7fffe1598700 (LWP 16835) exited]
[New Thread 0x7fffe1598700 (LWP 16836)]
[Thread 0x7fffe1598700 (LWP 16836) exited]
[New Thread 0x7fffe1598700 (LWP 16837)]
[Thread 0x7fffe1598700 (LWP 16837) exited]
[New Thread 0x7fffe1598700 (LWP 16838)]
[Thread 0x7fffe1598700 (LWP 16838) exited]
[New Thread 0x7fffe1598700 (LWP 16839)]
[Thread 0x7fffe1598700 (LWP 16839) exited]
[New Thread 0x7fffe1598700 (LWP 16840)]
[Thread 0x7fffe1598700 (LWP 16840) exited]
[New Thread 0x7fffe1598700 (LWP 16841)]
[Thread 0x7fffe1598700 (LWP 16841) exited]
[New Thread 0x7fffe1598700 (LWP 16842)]
[Thread 0x7fffe1598700 (LWP 16842) exited]
[New Thread 0x7fffe1598700 (LWP 16843)]
[Thread 0x7fffe1598700 (LWP 16843) exited]

Program received signal SIGSEGV, Segmentation fault.
0x00000035e5652b75 in PK11_DestroySlot (slot=0x79a4f0) at pk11slot.c:434
434		PK11_GETTAB(slot)->C_CloseAllSessions(slot->slotID);
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.19-1.fc14.x86_64 PackageKit-gtk-module-0.6.9-4.fc14.x86_64 cyrus-sasl-lib-2.1.23-12.fc14.x86_64 db4-4.8.30-2.fc14.x86_64 expat-2.0.1-10.fc13.x86_64 gnutls-2.8.6-2.fc14.x86_64 gtk2-engines-2.20.1-2.fc14.x86_64 gvfs-1.6.4-3.fc14.x86_64 keyutils-libs-1.2-6.fc12.x86_64 krb5-libs-1.8.2-6.fc14.x86_64 libX11-1.3.4-3.fc14.x86_64 libXau-1.0.6-1.fc14.x86_64 libXcomposite-0.4.2-1.fc14.x86_64 libXcursor-1.1.10-5.fc14.x86_64 libXdamage-1.1.3-1.fc14.x86_64 libXext-1.1.2-2.fc14.x86_64 libXfixes-4.0.5-1.fc14.x86_64 libXi-1.3.2-1.fc14.x86_64 libXinerama-1.1-2.fc13.x86_64 libXrandr-1.3.0-5.fc13.x86_64 libXrender-0.9.6-1.fc14.x86_64 libcom_err-1.41.12-5.fc14.x86_64 libgcc-4.5.1-4.fc14.x86_64 libgcrypt-1.4.5-4.fc13.x86_64 libgnome-keyring-2.32.0-1.fc14.x86_64 libgpg-error-1.9-1.fc14.x86_64 libmodman-1.0.1-5.fc14.x86_64 libogg-1.2.0-1.fc14.x86_64 libproxy-0.4.4-7.fc14.x86_64 libselinux-2.0.96-5.fc14.x86_64 libstdc++-4.5.1-4.fc14.x86_64 libtasn1-2.7-1.fc14.x86_64 libtdb-1.2.1-3.fc14.x86_64 libtool-ltdl-2.2.10-3.fc14.x86_64 libudev-161-4.fc14.x86_64 libuuid-2.18-4.4.fc14.x86_64 libvorbis-1.3.1-2.fc14.x86_64 libxcb-1.7-1.fc14.x86_64 nss-softokn-3.12.8-1.fc14.x86_64 nss-softokn-freebl-3.12.8-1.fc14.x86_64 openssl-1.0.0a-2.fc14.x86_64 pixman-0.18.4-1.fc14.x86_64 sssd-client-1.4.0-2.fc14.x86_64 xcb-util-0.3.6-1.fc12.x86_64 zlib-1.2.5-2.fc14.x86_64
(gdb) t a a bt

Thread 21 (Thread 0x7fffe0d97700 (LWP 16833)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00000035d8202352 in g_cond_timed_wait_posix_impl (
    cond=<value optimized out>, entered_mutex=<value optimized out>, 
    abs_time=<value optimized out>) at gthread-posix.c:242
#2  0x00000035d7a17c8f in g_async_queue_pop_intern_unlocked (queue=0xc47600, 
    try=0, end_time=0x7fffe0d96bf0) at gasyncqueue.c:423
#3  0x00000035d7a6bbf9 in g_thread_pool_wait_for_new_task (
    data=<value optimized out>) at gthreadpool.c:274
#4  g_thread_pool_thread_proxy (data=<value optimized out>)
    at gthreadpool.c:308
#5  0x00000035d7a69446 in g_thread_create_proxy (data=0x11038a0)
    at gthread.c:1897
#6  0x00000035d6206d5b in start_thread (arg=0x7fffe0d97700)
    at pthread_create.c:301
#7  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7fffca378700 (LWP 16824)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
---Type <return> to continue, or q <return> to quit---
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=
    0x7fffd06d61f0, try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00007ffff7019f8e in camel_msgport_pop (msgport=0x7fffbc023920)
    at camel-msgport.c:409
#3  0x00007fffe25b19ca in imapx_run_job (is=<value optimized out>, job=
    0x7fffd06d60e0, error=0x7fffca377c08) at camel-imapx-server.c:2079
#4  0x00007fffe25b1efc in camel_imapx_server_idle (data=0x658820)
    at camel-imapx-server.c:2194
#5  imapx_idle_thread (data=0x658820) at camel-imapx-server.c:2252
#6  0x00000035d7a69446 in g_thread_create_proxy (data=0x7fffc0003440)
    at gthread.c:1897
#7  0x00000035d6206d5b in start_thread (arg=0x7fffca378700)
    at pthread_create.c:301
#8  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7fffcbfff700 (LWP 16823)):
#0  0x00000035d5eda883 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000035e422439f in _pr_poll_with_poll (pds=0x7fffcbffebd0, npds=2, 
    timeout=30000) at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3915
#2  0x00007fffe25b7ee2 in imapx_parser_thread (d=0x658820)
---Type <return> to continue, or q <return> to quit---
    at camel-imapx-server.c:4742
#3  0x00000035d7a69446 in g_thread_create_proxy (data=0x7fffc4023480)
    at gthread.c:1897
#4  0x00000035d6206d5b in start_thread (arg=0x7fffcbfff700)
    at pthread_create.c:301
#5  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fffe1d99700 (LWP 16818)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x94d560, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x94d560)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in sync_request_thread_cb (cFile=0xa05568)
    at camel-db.c:80
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x94d5d0)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe1d99700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
---Type <return> to continue, or q <return> to quit---

Thread 5 (Thread 0x7fffe259a700 (LWP 16817)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x9313f0, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x9313f0)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in sync_request_thread_cb (cFile=0x9312a8)
    at camel-db.c:80
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x931460)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe259a700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fffe2fc6700 (LWP 16816)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x8edfc0, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x8edfc0)
---Type <return> to continue, or q <return> to quit---
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in sync_request_thread_cb (cFile=0x8fdb38)
    at camel-db.c:80
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x8d8a60)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe2fc6700)
    at pthread_create.c:301
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fffe37c7700 (LWP 16815)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000035d7a17c50 in g_async_queue_pop_intern_unlocked (queue=0x8d5050, 
    try=0, end_time=0x0) at gasyncqueue.c:416
#2  0x00000035d7a18418 in g_async_queue_pop (queue=0x8d5050)
    at gasyncqueue.c:456
#3  0x00007ffff6ffae1b in sync_request_thread_cb (cFile=0x8d7938)
    at camel-db.c:80
#4  0x00000035d7a69446 in g_thread_create_proxy (data=0x8d7410)
    at gthread.c:1897
#5  0x00000035d6206d5b in start_thread (arg=0x7fffe37c7700)
    at pthread_create.c:301
---Type <return> to continue, or q <return> to quit---
#6  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7ffff069c700 (LWP 16814)):
#0  0x00000035d5eda883 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000035d7a42374 in g_main_context_poll (context=0x66cd70, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:3093
#2  g_main_context_iterate (context=0x66cd70, block=1, dispatch=1, 
    self=<value optimized out>) at gmain.c:2775
#3  0x00000035d7a42c82 in g_main_loop_run (loop=0x66ce50) at gmain.c:2988
#4  0x00000035d92a5774 in gdbus_shared_thread_func (data=<value optimized out>)
    at gdbusprivate.c:277
#5  0x00000035d7a69446 in g_thread_create_proxy (data=0x66ce70)
    at gthread.c:1897
#6  0x00000035d6206d5b in start_thread (arg=0x7ffff069c700)
    at pthread_create.c:301
#7  0x00000035d5ee427d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7ffff6d86980 (LWP 16811)):
#0  0x00000035e5652b75 in PK11_DestroySlot (slot=0x79a4f0) at pk11slot.c:434
---Type <return> to continue, or q <return> to quit---
#1  0x00000035e566e5dd in nssDecodedPKIXCertificate_Destroy (dc=0x7fffd06ec410)
    at pki3hack.c:549
#2  0x00000035e5667212 in nssCertificate_Destroy (c=0x7fffd0802820)
    at certificate.c:162
#3  0x00007ffff794b00a in ccv_certinfo_free (info=0x7fffd03c0000)
    at camel-cipher-context.c:432
#4  0x00007ffff794c960 in camel_cipher_validity_free (validity=0x7fffd000b8c0)
    at camel-cipher-context.c:638
#5  0x00000035042058e1 in emf_free_cache (efc=0x7fffd0669490) at em-format.c:83
#6  0x00000035d7a313fe in g_hash_table_remove_all_nodes (hash_table=
    0xb7d680 = {...}, notify=1) at ghash.c:491
#7  0x00000035d7a31ced in g_hash_table_remove_all (hash_table=0xb7d680 = {...})
    at ghash.c:1169
#8  0x00000035d7a31d85 in g_hash_table_destroy (hash_table=0xb7d680 = {...})
    at ghash.c:876
#9  0x0000003504206ad2 in emf_finalize (object=0xb95100 [EMFormatHTMLDisplay])
    at em-format.c:150
#10 0x00000035d860f2f4 in g_object_unref (_object=0xb95100) at gobject.c:2695
#11 0x0000003504a3e1e1 in mail_display_dispose (object=0x6a0ab0 [EMailDisplay])
    at e-mail-display.c:178
#12 0x00000035d8611230 in g_object_run_dispose (object=0x6a0ab0 [EMailDisplay])
    at gobject.c:934
#13 0x000000384cfbd77f in gtk_scrolled_window_forall (container=
---Type <return> to continue, or q <return> to quit---
    0xbc1ca0 [GtkScrolledWindow], include_internals=0, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0)
    at gtkscrolledwindow.c:1086
#14 0x000000384cec1467 in gtk_container_destroy (object=
    0xbc1ca0 [GtkScrolledWindow]) at gtkcontainer.c:1072
#15 0x00000035d860df89 in g_closure_invoke (closure=0x683a20, return_value=
    0x0, n_param_values=1, param_values=0x7ed060, invocation_hint=
    0x7fffffffb6e0) at gclosure.c:766
#16 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xbc1ca0, emission_return=0x0, instance_and_params=
    0x7ed060) at gsignal.c:3368
#17 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#18 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#19 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xbc1ca0 [GtkScrolledWindow]) at gtkobject.c:421
#20 0x00000035d8611230 in g_object_run_dispose (object=
    0xbc1ca0 [GtkScrolledWindow]) at gobject.c:934
#21 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#22 0x000000384cec1467 in gtk_container_destroy (object=
    0xb45c50 [EPreviewPane]) at gtkcontainer.c:1072
#23 0x00000035d860df89 in g_closure_invoke (closure=0x683a20, return_value=
    0x0, n_param_values=1, param_values=0xc43380, invocation_hint=
    0x7fffffffbb80) at gclosure.c:766
#24 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb45c50, emission_return=0x0, instance_and_params=
    0xc43380) at gsignal.c:3368
#25 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#26 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#27 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb45c50 [EPreviewPane])
    at gtkobject.c:421
#28 0x00000035d8611230 in g_object_run_dispose (object=0xb45c50 [EPreviewPane])
    at gobject.c:934
#29 0x000000384cec1467 in gtk_container_destroy (object=0xb2b240 [EPaned])
    at gtkcontainer.c:1072
---Type <return> to continue, or q <return> to quit---
#30 0x00000035d860df89 in g_closure_invoke (closure=0x683a20, return_value=
    0x0, n_param_values=1, param_values=0xc3c440, invocation_hint=
    0x7fffffffbff0) at gclosure.c:766
#31 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb2b240, emission_return=0x0, instance_and_params=
    0xc3c440) at gsignal.c:3368
#32 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#33 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#34 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb2b240 [EPaned])
    at gtkobject.c:421
#35 0x00000035d8611230 in g_object_run_dispose (object=0xb2b240 [EPaned])
    at gobject.c:934
#36 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#37 0x000000384cec1467 in gtk_container_destroy (object=
    0xb05e70 [EMailPanedView]) at gtkcontainer.c:1072
#38 0x00000035d860df89 in g_closure_invoke (closure=0x683a20, return_value=
---Type <return> to continue, or q <return> to quit---
    0x0, n_param_values=1, param_values=0xc49200, invocation_hint=
    0x7fffffffc490) at gclosure.c:766
#39 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb05e70, emission_return=0x0, instance_and_params=
    0xc49200) at gsignal.c:3368
#40 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#41 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#42 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xb05e70 [EMailPanedView]) at gtkobject.c:421
#43 0x00000035d8611230 in g_object_run_dispose (object=
    0xb05e70 [EMailPanedView]) at gobject.c:934
#44 0x000000384cec1467 in gtk_container_destroy (object=
    0xb92830 [EMailShellContent]) at gtkcontainer.c:1072
#45 0x00000035d860df89 in g_closure_invoke (closure=0x683a20, return_value=
    0x0, n_param_values=1, param_values=0xd19fa0, invocation_hint=
    0x7fffffffc900) at gclosure.c:766
#46 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb92830, emission_return=0x0, instance_and_params=
---Type <return> to continue, or q <return> to quit---
    0xd19fa0) at gsignal.c:3368
#47 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#48 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#49 0x000000384cf7cd5e in gtk_object_dispose (gobject=
    0xb92830 [EMailShellContent]) at gtkobject.c:421
#50 0x00000035d8611230 in g_object_run_dispose (object=
    0xb92830 [EMailShellContent]) at gobject.c:934
#51 0x000000384cf7416e in gtk_notebook_forall (
    container=<value optimized out>, include_internals=0, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0)
    at gtknotebook.c:4265
#52 0x000000384cec1467 in gtk_container_destroy (object=0x6b03c0 [GtkNotebook])
    at gtkcontainer.c:1072
#53 0x00000035d860df89 in g_closure_invoke (closure=0x683a20, return_value=
    0x0, n_param_values=1, param_values=0xd19f80, invocation_hint=
    0x7fffffffcdb0) at gclosure.c:766
#54 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x6b03c0, emission_return=0x0, instance_and_params=
---Type <return> to continue, or q <return> to quit---
    0xd19f80) at gsignal.c:3368
#55 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#56 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#57 0x000000384cf7cd5e in gtk_object_dispose (gobject=0x6b03c0 [GtkNotebook])
    at gtkobject.c:421
#58 0x00000035d8611230 in g_object_run_dispose (object=0x6b03c0 [GtkNotebook])
    at gobject.c:934
#59 0x000000384cec1467 in gtk_container_destroy (object=0xb21a10 [GtkHPaned])
    at gtkcontainer.c:1072
#60 0x00000035d860df89 in g_closure_invoke (closure=0x683a20, return_value=
    0x0, n_param_values=1, param_values=0xc9c600, invocation_hint=
    0x7fffffffd220) at gclosure.c:766
#61 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xb21a10, emission_return=0x0, instance_and_params=
    0xc9c600) at gsignal.c:3368
#62 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at gsignal.c:2983
#63 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#64 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xb21a10 [GtkHPaned])
    at gtkobject.c:421
#65 0x00000035d8611230 in g_object_run_dispose (object=0xb21a10 [GtkHPaned])
    at gobject.c:934
#66 0x000000384ce85a03 in gtk_box_forall (container=<value optimized out>, 
    include_internals=<value optimized out>, callback=
    0x384d084160 <IA__gtk_widget_destroy>, callback_data=0x0) at gtkbox.c:1251
#67 0x000000384cec1467 in gtk_container_destroy (object=0xafc300 [GtkVBox])
    at gtkcontainer.c:1072
#68 0x00000035d860df89 in g_closure_invoke (closure=0x683a20, return_value=
    0x0, n_param_values=1, param_values=0xb7f300, invocation_hint=
    0x7fffffffd6c0) at gclosure.c:766
#69 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0xafc300, emission_return=0x0, instance_and_params=
    0xb7f300) at gsignal.c:3368
#70 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
---Type <return> to continue, or q <return> to quit---
#71 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#72 0x000000384cf7cd5e in gtk_object_dispose (gobject=0xafc300 [GtkVBox])
    at gtkobject.c:421
#73 0x00000035d8611230 in g_object_run_dispose (object=0xafc300 [GtkVBox])
    at gobject.c:934
#74 0x000000384cec1467 in gtk_container_destroy (object=
    0x6a5200 [EShellWindow]) at gtkcontainer.c:1072
#75 0x00000035d860e03e in g_closure_invoke (closure=0x683a20, return_value=
    0x0, n_param_values=1, param_values=0xd5a880, invocation_hint=
    0x7fffffffdb30) at gclosure.c:766
#76 0x00000035d861e8a8 in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=0, instance=0x6a5200, emission_return=0x0, instance_and_params=
    0xd5a880) at gsignal.c:3368
#77 0x00000035d86287b5 in g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=<value optimized out>)
    at gsignal.c:2983
#78 0x00000035d8628983 in g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3040
#79 0x000000384cf7cd5e in gtk_object_dispose (gobject=0x6a5200 [EShellWindow])
---Type <return> to continue, or q <return> to quit---
    at gtkobject.c:421
#80 0x00000035d8611230 in g_object_run_dispose (object=0x6a5200 [EShellWindow])
    at gobject.c:934
#81 0x00000035d7a3ddd7 in g_list_foreach (list=<value optimized out>, func=
    0x384d084160 <IA__gtk_widget_destroy>, user_data=0x0) at glist.c:919
#82 0x00000035026199fb in shell_ready_for_quit (shell=0x644510 [EShell], 
    activity=<value optimized out>, is_last_ref=<value optimized out>)
    at e-shell.c:339
#83 0x00000035d7a3e2ce in g_source_callback_unref (cb_data=0x1115ee0)
    at gmain.c:1182
#84 0x00000035d7a3e82a in g_source_destroy_internal (source=0xe76b30, context=
    0x642eb0, have_lock=1) at gmain.c:961
#85 0x00000035d7a41ea1 in g_main_dispatch (context=0x642eb0) at gmain.c:2174
#86 g_main_context_dispatch (context=0x642eb0) at gmain.c:2702
#87 0x00000035d7a42610 in g_main_context_iterate (context=0x642eb0, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2780
#88 0x00000035d7a42c82 in g_main_loop_run (loop=0x7d49b0) at gmain.c:2988
#89 0x000000384cf4b0b7 in IA__gtk_main () at gtkmain.c:1237
#90 0x0000000000402679 in main (argc=1, argv=0x7fffffffe238) at main.c:671
(gdb) 
------------------------------

Try this to replicate:

Open Evo and click on many folder, then return to Inbox and close.

I run Dovecot 2.0.6 over SSL (it looks like some crypto stuff is being called here, so it may make a difference).

Comment 36 David Woodhouse 2010-11-12 12:58:16 UTC
First, please could you reproduce under valgrind? Run:

G_SLICE=always-malloc valgrind evolution 2>&1 | tee valgrind-out.log

If that doesn't show us a smoking gun, we'll try the 'git bisect' option.

Comment 37 Bojan Smojver 2010-11-12 13:10:01 UTC
OK, we'll do in the morning (it's after midnight here). Thanks for your help!

Comment 38 Bojan Smojver 2010-11-12 13:50:16 UTC
One interesting thing - when I run under valgrind and attempt to close - the status bar becomes filled with threads that are busy.

Comment 39 Bojan Smojver 2010-11-12 13:51:03 UTC
Created attachment 460049 [details]
Busy threads when closing under valgrind

Comment 40 Bojan Smojver 2010-11-12 21:43:20 UTC
Created attachment 460157 [details]
Valgrind log, with segfault

Comment 41 Bojan Smojver 2010-11-12 21:44:12 UTC
Created attachment 460158 [details]
Valgrind log, Evo hung, killed (note: system was suspened overnight)

Comment 42 Bojan Smojver 2010-11-12 21:51:23 UTC
I see now that I need to put back debuginfo stuff. Running it again - just hung on me with million threads on the status bar.

Comment 43 Bojan Smojver 2010-11-12 21:55:50 UTC
Created attachment 460162 [details]
Valgrind log, with segfault and debuginfo installed

Comment 44 David Woodhouse 2010-11-12 22:07:04 UTC
==18433== Thread 1:
==18433== Invalid read of size 8
==18433==    at 0x35E5652B75: PK11_DestroySlot (pk11slot.c:434)
==18433==    by 0x35E566E5DC: nssDecodedPKIXCertificate_Destroy (pki3hack.c:549)
==18433==    by 0x35E5667211: nssCertificate_Destroy (certificate.c:162)
==18433==    by 0x5075009: ccv_certinfo_free (camel-cipher-context.c:432)
==18433==    by 0x507695F: camel_cipher_validity_free (camel-cipher-context.c:638)
==18433==    by 0x35042058E0: emf_free_cache (em-format.c:83)
==18433==    by 0x35D7A313FD: g_hash_table_remove_all_nodes (ghash.c:491)
==18433==    by 0x35D7A31CEC: g_hash_table_remove_all (ghash.c:1169)
==18433==    by 0x35D7A31D84: g_hash_table_destroy (ghash.c:876)
==18433==    by 0x3504206AD1: emf_finalize (em-format.c:150)
==18433==    by 0x35D860F2F3: g_object_unref (gobject.c:2695)
==18433==    by 0x3504A3E1E0: mail_display_dispose (e-mail-display.c:178)
==18433==  Address 0xebb15b8 is not stack'd, malloc'd or (recently) free'd

So, unless Valgrind is lying to us, it's not a use-after-free or something like that. Was hoping for something simpler.

This really ought to be a separate bug... possibly an upstream GNOME bug, since Fedora isn't actually shipping this yet.

Would be very useful if you could clone the upstream evolution-data-server repository, switch to the gnome-2-32 branch, configure it with the same settings that the Fedora package does (as shown below) and test. Hopefully it should fail. And then you can 'git reset --hard EVOLUTION_DATA_SERVER_2_32_0' and it should work. And then you can run 'git bisect start; git bisect good; git bisect bad origin/gnome-2-32'

Find us on IRC (irc.gimp.net #evolution) and we can talk you through it.


./configure --build=x86_64-unknown-linux-gnu --host=x86_64-unknown-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-libdb=/usr --enable-file-locking=fcntl --enable-dot-locking=no --enable-gtk-doc --with-openldap=/usr/lib64/evolution-openldap --with-static-ldap --with-krb5=/usr/kerberos --enable-nntp=yes --enable-nss=yes --enable-smime=yes %largetfile_flags --enable-gnome-keyring

Comment 45 Bojan Smojver 2010-11-12 22:15:16 UTC
OK, I'll give that a go.

Comment 46 Bojan Smojver 2010-11-12 22:32:04 UTC
Is is possible that what gets pushed into this call (camel-cipher-context.c:432):

info->cert_data_free (info->cert_data);

Is not quite what it should be? (Meaning, info->cert_data is screwed in some way at that point).

This seems to be the crossover point between camel and nss calls and nss then tries to do things with data from camel. If that data isn't quite what it's supposed to be, there could be trouble. (For example, if cert_data contains an invalid length of something - just guessing).

I can gdb Evo, set a breakpoint there and then dump info->cert_data, if you thing this will be useful to you.

Comment 47 Bojan Smojver 2010-11-12 23:05:00 UTC
I tried doing a quick and dirty from comment #46, but Evo then crashed on me at exit on a different point. Signs of SSL were in that trace too. I think I need to stop littering here and open a Gnome bug.

Comment 48 David Woodhouse 2010-11-13 00:09:16 UTC
I concur. Please CC me on the GNOME bug you file. I'm fairly busy right now so I'm not *really* engaging too much with Evolution at the moment (except for things which are blatantly my fault such as the original problem reported in this bug). But I'll try to take a look.

I'll go ahead and push the memory leak fix to the gnome-2-32 branch.

Comment 49 Bojan Smojver 2010-11-13 00:50:58 UTC
Shall let you know when I file that Gnome bug. Don't worry - there is no urgengcy of any kind here.

You are being overly modest. Things are not your fault. We have this stuff because you helped write it! So, thank you.


Note You need to log in before you can comment on or make changes to this bug.